Subject: Re: Please try the latest snapshot -- it is close to cygwin 1.5.6
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: "Pierre A. Humblet" <[email-masked]>
Date: Fri, 26 Dec 2003 17:59:59 -0500

On Fri, Dec 26, 2003 at 03:46:41PM -0500, Pierre A. Humblet wrote:
>On Wed, Dec 24, 2003 at 06:27:59PM -0500, Christopher Faylor wrote:
>> On Wed, Dec 24, 2003 at 06:15:24PM -0500, Pierre A. Humblet wrote:
>> >At 11:59 AM 12/24/2003 -0500, Christopher Faylor wrote:
>> >>On Wed, Dec 24, 2003 at 10:29:51AM -0500, Pierre A. Humblet wrote:
>> >>>On Tue, Dec 23, 2003 at 05:28:16PM -0500, Christopher Faylor wrote:
>> >>>> The subject says it all.
>> >>>> 
>> >>>> I'm hoping to release cygwin 1.5.6 shortly after Christmas.
>> >>>
>> >>>On WinMe the queue runner forked by the exim daemon still occasionally 
>> >>>produces a popup indicating an error in Cygwin1.dll
>> >>
>> >>"a popup indicating an error".......?
>> >>
>> >>Not too helpful.
>> >
>> >It has happened once more, but differently. ps shows the child as defunct.
>> >Sysinternals shows everything normal, pinfo exists in the child.
>> >There is no fork failure, in fact the one I mentioned earlier is the only
>> >one out of 17070 runs. 
>> >
>> >This time when I killed the daemon (just to see), I got
>> > 330495 [main] exim 34658275 proc_subproc: couldn't get proc lock.
>> >Something is wrong.
>> > 330520 [main] exim 34658275 proc_subproc: couldn't get proc lock.
>> >Something is wrong
>> 
>> If you have the time could you add some more debugging output to the
>> failing cases that lead to this message and try running it with that?
>
>I updated from cvs and noticed you had already added debug info.

I added strace debugging.  You can use that as a clue for what I was
talking about and make it visible if you can't run exim under strace.

>CYGWIN_ME-4.90 hpn5170x 1.5.6(0.108/3/2) 2003-12-26 12:15 i686 unknown unknown Cygwin
>
>-996371854 [main] exim 219879 proc_subproc: couldn't get proc lock. what 4, val 1628435976
>-996369556 [main] exim 219879 proc_subproc: couldn't get proc lock. what 4, val 1628435976
>
>Also, while running sysinternals I noticed to the exim daemon still had tty
>related handles, despite setsid(). Ditto for inetd.

Calling setsid does not automatically eliminate tty handles.

cgf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/